Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.security
Class BinderyIdentity

    java.lang.Object
      |
      +--com.novell.java.security.Identity
            |
            +--com.novell.service.security.XplatIdentity
                  |
                  +--com.novell.service.security.BinderyIdentity

public class BinderyIdentity
extends XplatIdentity
implements PasswordIdentityFactory

Represents an authenticatable entity in a bindery system (a user, an administrator, and so forth). Every BinderyIdentity is associated with a server identity scope, which is then associated with the bindery administrative domain scope. The server domain scope is a child of the administrative domain scope, and a user identity is a child of the server domain scope.

For example, to construct a user named Karah on a bindery server called Jaeger: ``

     IdentityScope administrativeDomain  = new BinderyIdentityScope();
     IdentityScope server                = new BinderyIdentityScope("Jaeger",administrativeDomain);
     Identity      user                  = new BinderyIdentity("Karah",server);

See Also:
  `BinderyIdentityScope`, `NdsIdentity`, Serialized Form

Constructor Summary
`BinderyIdentity(Identity identity)` Constructs an identity from another specified identity.
`BinderyIdentity(java.lang.String name)` Construct an identity with the specified user name and no scope.
`BinderyIdentity(java.lang.String name, IdentityScope scope)` Construct an identity with the specified user name and server name as an IdentityScope.
`BinderyIdentity(java.lang.String name, java.lang.String server)` Construct an identity with the specified user name and scope (server name).

Method Summary
`java.lang.String` | `getAdministrativeDomain()` Get the administrative domain string.
`PasswordIdentity` | `getPasswordIdentityInstance()` Instantiate a password identity class.
`java.lang.String` | `getUserDomain()` Returns the user domain string.
`java.lang.String` | `getUsername()` Parses the identity to create a user name string.

Methods inherited from class com.novell.service.security.XplatIdentity
`getSession, getSessionManager, setSession, setSessionManager`

Methods inherited from class com.novell.java.security.Identity
`addCertificate, equals, getCertificates, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinderyIdentity

    public BinderyIdentity(java.lang.String name)

  Construct an identity with the specified user name and no scope.
  Parameters:
    `name` - The user name of the identity.

### BinderyIdentity

    public BinderyIdentity(java.lang.String name,
                           java.lang.String server)
                    throws KeyManagementException

  Construct an identity with the specified user name and scope (server name).
  Parameters:
    `name` - The user name of the identity.
    `server` - The server name of the identity.
  Throws:
    KeyManagementException - When an error occurs.

### BinderyIdentity

    public BinderyIdentity(java.lang.String name,
                           IdentityScope scope)
                    throws KeyManagementException

  Construct an identity with the specified user name and server name as an IdentityScope.
  Parameters:
    `name` - The name of the identity.
    `scope` - The IdentityScope of the server.
  Throws:
    KeyManagementException - When an error occurs.

### BinderyIdentity

    public BinderyIdentity(Identity identity)
                    throws KeyManagementException

  Constructs an identity from another specified identity.
  Parameters:
    `identity` - The identity to copy.
  Throws:
    KeyManagementException - When an error occurs.

Method Detail

### getAdministrativeDomain

    public java.lang.String getAdministrativeDomain()

  Get the administrative domain string.
  Returns:
    The administrative domain identifier, "[BINDERY]".
  Overrides:
    getAdministrativeDomain in class XplatIdentity

### getUsername

    public java.lang.String getUsername()

  Parses the identity to create a user name string.
  Returns:
    The String name of the user.
  Overrides:
    getUsername in class XplatIdentity

### getUserDomain

    public java.lang.String getUserDomain()

  Returns the user domain string.
  Returns:
    A String containing the user domain.
  Overrides:
    getUserDomain in class XplatIdentity

### getPasswordIdentityInstance

    public PasswordIdentity getPasswordIdentityInstance()

  Instantiate a password identity class.
  Specified by:
    getPasswordIdentityInstance in interface PasswordIdentityFactory
  Returns:
    The appropriate PasswordIdentity.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD